package authsvc

import authdomain "legalgo-BE-go/internal/domain/auth"

func (as *AuthSvc) GetUserProfile(email string) (*authdomain.UserProfile, error) {
	user, err := as.userRepo.GetUserProfile(email)
	if err != nil {
		return nil, err
	}

	return user, nil
}
